生成
録音の声を変更
保存済みの 1〜300 秒の録音を Eleven 系列の声で再発話します。録音の長さはサーバーが実測します。動画入力では映像と変更後の音声を返します。 受付後は status_url を next_poll_after_seconds に従って確認し、result_ready が true になったら result_url を取得します。
POST
/v1/creative/voice-change
curl --request POST 'https://api.orchestor.io/v1/creative/voice-change' \ --header "Authorization: Bearer $ORCHESTOR_API_KEY" \ --header 'Content-Type: application/json' \ --data-raw '{"file_id": "file_0123456789abcdef01234567", "duration_seconds": 20, "voice": {"id": "21m00Tcm4TlvDq8ikWAM"}}'{ "data": { "request_id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "job": { "id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "type": "voice_change", "status": "queued", "model": "orchestor/voice-change-1.0", "idempotency_key": "9816bc88-9791-43a1-86c2-876dc7c544e8", "communication_mode": "async", "created_at": "2026-11-06T00:00:00Z", "updated_at": "2026-11-06T00:00:00Z", "started_at": null, "completed_at": null, "canceled_at": null, "result": null, "error": null, "usage_summary": null, "webhook_delivery": null, "input": { "file_id": "file_0123456789abcdef01234567", "duration_seconds": 20, "voice": { "id": "21m00Tcm4TlvDq8ikWAM" } } }, "status_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/status", "result_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/result", "events_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/events", "cancel_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/cancel", "cancelable": true, "next_action": "poll_status", "next_poll_after_seconds": 2, "recommended_poll_interval_seconds": 2, "retry_after_seconds": null, "result_ready": false, "terminal": false, "idempotency_hit": false, "usage": { "credits": 5, "usd": "0.05" }, "generation_limits": null }}認証
認証の詳細
bearer
ヘッダー
ボディapplication/json必須
{ "file_id": "file_0123456789abcdef01234567", "duration_seconds": 20, "voice": { "id": "21m00Tcm4TlvDq8ikWAM" }}同じワークスペースのクリエイティブアップロードを指定します。実測で 1〜300 秒の音声と、音声トラック付きの動画に対応します。file_id、audio_url、video_url のいずれか 1 つを指定してください。
- 追加プロパティ
- 許可しない
レスポンス
application/json
ジョブの現在状態と追跡 URL。受付は処理の完了を意味しません。
ヘッダー
{ "data": { "request_id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "job": { "id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "type": "voice_change", "status": "queued", "model": "orchestor/voice-change-1.0", "idempotency_key": "9816bc88-9791-43a1-86c2-876dc7c544e8", "communication_mode": "async", "created_at": "2026-11-06T00:00:00Z", "updated_at": "2026-11-06T00:00:00Z", "started_at": null, "completed_at": null, "canceled_at": null, "result": null, "error": null, "usage_summary": null, "webhook_delivery": null, "input": { "file_id": "file_0123456789abcdef01234567", "duration_seconds": 20, "voice": { "id": "21m00Tcm4TlvDq8ikWAM" } } }, "status_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/status", "result_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/result", "events_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/events", "cancel_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/cancel", "cancelable": true, "next_action": "poll_status", "next_poll_after_seconds": 2, "recommended_poll_interval_seconds": 2, "retry_after_seconds": null, "result_ready": false, "terminal": false, "idempotency_hit": false, "usage": { "credits": 5, "usd": "0.05" }, "generation_limits": null }}